Subject: Re: (ION) An NHC in the routed path...

From: "Albert Manfredi" <[email-masked]>
Date: Fri, 5 Mar 1999 10:21:17 -0500

-----Original Message-----
From: Navin Kumar Agarwal <[email-masked]>

[ ... ]

> So shouldn't we write the reason the following MUST in
> the RFC2332.
>
> "If a serving NHS is to be able to supply the address
> resolution information for an NHC then NHSs _MUST_
> exist at each hop along all routed paths between the NHC
> making the resolution request and the destination NHC."
> See section 2.2 for reference.

I wouldn't object to that. I think that is the intent of RFC 2332.
That's the way I always understood NHRP's basic philosophy to be, in
fact.

> In my opinion the reason would be as follows.
>
> If an NHRP resolution packet encounters any NHC
> along the routed path, and as an NHC would not help
> in resolving the IP address of the destination (Assuming
> that Non-authority response is also ok), it would be
> missing the chance of IP address of the destination entity
> getting resolved in midway itself (resulting in less address
> resolution time). And that is why, it is recommended that
> an NHRP MUST always traverse through the NHSs only.

I don't understand this reasoning very well. But my reason would be
that it's the NHS's job to keep track of which LISs are or should be
directly reachable, either for reasons of ATM connectivity or
security. So unless you add this NHS functionality to an NHC
"router," the NHC router might route the NHRP request to the wrong
NHS, creating a shortcut that either won't work (because the ATM
nets are not contiguous) or that violates your security policy.

> Oops, Even all these has not answered my question.
> Let me put it again, if we don't want the NHRP resolution
> request packet to traverse through any NHC (which is a
> router also) on the routed path, how do we over-ride the
> result of routing table lookup?

You simply prevent routing of NHRP request and NHRP reply packets.
NHSs are supposed to know over which ports they can route these
special packets. If an NHC is for some strange reason made into a
router, it will have to know at least that much. That's the way I
read this, anyway.

Bert
[email-masked]

X-Info: To unsubscribe, email [email-masked]' with
X-Info: 'unsubscribe ion' in the body of the message.

---

From: Joel Halpern <[email-masked]>
Date: Fri, 5 Mar 1999 10:46:18 -0500

To phrase this differently, the "MUST" that Navin is asking for can be
paraphrased as "MUST if a useful answer is to be returned."  This is a
deployment question, not a protocol conformance question.
Yours,
Joel M. Halpern

-----Original Message-----
From: Albert Manfredi [mailto:[email-masked]]
Sent: Friday, March 05, 1999 10:21 AM
To: Navin Kumar Agarwal
Cc: [email-masked]
Subject: Re: (ION) An NHC in the routed path...

-----Original Message-----

[ ... ]

Bert